Complexity: easy
Sprint Focus:
Subject: Remove xml export in fullsearch, deprecate t3lib_xml
Description

Class t3lib_xml was thought as a base class to export arbitrary records
as XML. Its current state is semi useful and more a loose collection of
somehow related methods without a real concept. The XML export
functionality in the lowlevel dbint fullsearch module is its only usage.

The export feature is dropped from the fullsearch module now (there is
still a csv export). t3lib_xml is then unused and deprectated.

Related issues:
related to LTS Smooth Migration - Task # 49194: Check for 'Remove Code from C... New 2013-06-17
Revision 6387cdcb - 2012-08-06 21:47 - Christian Kuhn

[-FEATURE] Remove xml export in fullsearch, deprecate t3lib_xml

Class t3lib_xml was thought as a base class to export arbitrary records
as XML. Its current state is semi useful and more a loose collection of
somehow related methods without a real concept. The XML export
functionality in the lowlevel dbint fullsearch module is its only usage.

The export feature is dropped from the fullsearch module now (there is
still a csv export). t3lib_xml is then unused and deprecated.
[-FEATURE] Remove xml export in fullsearch, deprecate t3lib_xml

Class t3lib_xml was thought as a base class to export arbitrary records
as XML. Its current state is semi useful and more a loose collection of
somehow related methods without a real concept. The XML export
functionality in the lowlevel dbint fullsearch module is its only usage.

The export feature is dropped from the fullsearch module now (there is
still a csv export). t3lib_xml is then unused and deprecated.
[-FEATURE] Remove xml export in fullsearch, deprecate t3lib_xml

Class t3lib_xml was thought as a base class to export arbitrary records
as XML. Its current state is semi useful and more a loose collection of
somehow related methods without a real concept. The XML export
functionality in the lowlevel dbint fullsearch module is its only usage.

The export feature is dropped from the fullsearch module now (there is
still a csv export). t3lib_xml is then unused and deprecated.
#1 - 2012-08-05 17:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13463

#2 - 2012-08-05 17:48 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13463

#3 - 2012-08-06 17:18 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13463

#4 - 2012-08-06 22:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6387cdcb23554fa40b4b91da44b2eb4471758861.
